Package io.dapr.v1

# Class AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub

java.lang.Object
io.grpc.stub.AbstractStub<S>
io.grpc.stub.AbstractBlockingStub<AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub>
io.dapr.v1.AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub

Enclosing class:
  AppCallbackAlphaGrpc

public static final class AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub extends io.grpc.stub.AbstractBlockingStub<AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub>
A stub to allow clients to do limited synchronous rpc calls to service AppCallbackAlpha.

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

  `io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub`
  `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
  `DaprAppCallbackProtos.TopicEventBulkResponse`
  `onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request)`
  Deprecated.
  `DaprAppCallbackProtos.JobEventResponse`
  `onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request)`
  Deprecated.

  ### Methods inherited from class io.grpc.stub.AbstractBlockingStub

  `newStub, newStub`

  ### Methods inherited from class io.grpc.stub.AbstractStub

  `getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### build

    protected AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
    Specified by:
      `build` in class `io.grpc.stub.AbstractStub<AppCallbackAlphaGrpc.AppCallbackAlphaBlockingStub>`

  - ### onBulkTopicEventAlpha1

    @Deprecated public DaprAppCallbackProtos.TopicEventBulkResponse onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request)
    Deprecated.

         Subscribes bulk events from Pubsub

  - ### onJobEventAlpha1

    @Deprecated public DaprAppCallbackProtos.JobEventResponse onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request)
    Deprecated.

         Deprecated: Sends job back to the app's endpoint at trigger time.